#Module-Specific definitions
%define mod_version 0.12
%define release 1mdk
%define mod_name mod_auth_sdb
%define mod_conf 95_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_auth_sdb is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_auth_sdb-0.12-register.patch.bz2
License:	Apache License
URL:		http://shebang.jp/src/apache/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper
BuildRequires:	libgdbm2-devel
BuildRequires:	libmysql12-devel
BuildRequires:	libpq3-devel
BuildRequires:	libsdb0-devel
BuildRequires:	libunixODBC2-devel
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	zlib-devel
Requires:	libgdbm2
Requires:	libmysql12
Requires:	libopenssl0.9.7
Requires:	libpq3
Requires:	libsdb0
Requires:	libunixODBC2

%description
This module provides Apache user authentication using LibSDB.

%prep

%setup -q -n %{sourcename}
%patch0 -p0 -b .register

%build

#%{apxs} -c %{mod_name}.c -Wl,-lsdb

%{apxs} \
    `%{_bindir}/sdb-config --cflags` \
    `%{_bindir}/sdb-config --libs` \
    -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc ChangeLog README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Sun Jul 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.12-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.12-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.12-1mdk
- initial cooker contrib
